Debian Bug report logs - #388606
samba: purging the package fails (update-inetd not available)

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Thu, 21 Sep 2006 13:33:06 UTC

Severity: serious

Tags: patch

Found in version samba/3.0.23c-1

Fixed in version samba/3.0.23c-2

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#388606; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: samba: purging the package fails (update-inetd not available)
Date: Thu, 21 Sep 2006 15:13:32 +0200
Package: samba
Version: 3.0.23c-1
Severity: serious

Hello Eloy,

There is an error when attempting to purge samba:

  Removing samba ...
  Purging configuration files for samba ...
  Removing configuration file /etc/default/samba...
  /var/lib/dpkg/info/samba.postrm: line 18: update-inetd: command not found
  dpkg: error processing samba (--purge):
   subprocess post-removal script returned error exit status 127

update-inetd is not part of an essential package.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Tags added: pending Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#388606; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #12 received at 388606@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: 388606@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch
Date: Sat, 7 Oct 2006 19:23:08 +0200
[Message part 1 (text/plain, inline)]
tags 388606 +patch
thanks

Hi :)

I built a patch for it...

Regards

-- 
  .''`.     Mario Iseli <admin@marioiseli.com>
 : :'  :    proud user of Debian unstable
 `. `'`
   `-  Debian - when you have better things to do than fixing a system
[samba.diff (text/plain, attachment)]

Tags added: patch Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#388606; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #19 received at 388606@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Mario Iseli <mario@marioiseli.com>, 388606@bugs.debian.org
Subject: Re: Bug#388606: Patch
Date: Sat, 7 Oct 2006 22:30:59 +0200
[Message part 1 (text/plain, inline)]
> +case "$1" in
> +	remove|upgrade|deconfigure|failed-upgrade)
> +		update-inetd --add netbios-ssn


--add, really?

Am I missing something?

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#388606; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #24 received at 388606@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Mario Iseli <mario@marioiseli.com>, 388606@bugs.debian.org
Subject: Re: Bug#388606: Patch
Date: Sat, 7 Oct 2006 22:53:30 +0200
Mario Iseli wrote:
> I built a patch for it...

Note that the bug is already marked "pending", which means it's already 
fixed.



Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 388606-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 388606-close@bugs.debian.org
Subject: Bug#388606: fixed in samba 3.0.23c-2
Date: Thu, 12 Oct 2006 15:50:08 -0700
Source: samba
Source-Version: 3.0.23c-2

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.0.23c-2_i386.deb
  to pool/main/s/samba/libpam-smbpass_3.0.23c-2_i386.deb
libsmbclient-dev_3.0.23c-2_i386.deb
  to pool/main/s/samba/libsmbclient-dev_3.0.23c-2_i386.deb
libsmbclient_3.0.23c-2_i386.deb
  to pool/main/s/samba/libsmbclient_3.0.23c-2_i386.deb
python-samba_3.0.23c-2_i386.deb
  to pool/main/s/samba/python-samba_3.0.23c-2_i386.deb
samba-common_3.0.23c-2_i386.deb
  to pool/main/s/samba/samba-common_3.0.23c-2_i386.deb
samba-dbg_3.0.23c-2_i386.deb
  to pool/main/s/samba/samba-dbg_3.0.23c-2_i386.deb
samba-doc-pdf_3.0.23c-2_all.deb
  to pool/main/s/samba/samba-doc-pdf_3.0.23c-2_all.deb
samba-doc_3.0.23c-2_all.deb
  to pool/main/s/samba/samba-doc_3.0.23c-2_all.deb
samba_3.0.23c-2.diff.gz
  to pool/main/s/samba/samba_3.0.23c-2.diff.gz
samba_3.0.23c-2.dsc
  to pool/main/s/samba/samba_3.0.23c-2.dsc
samba_3.0.23c-2_i386.deb
  to pool/main/s/samba/samba_3.0.23c-2_i386.deb
smbclient_3.0.23c-2_i386.deb
  to pool/main/s/samba/smbclient_3.0.23c-2_i386.deb
smbfs_3.0.23c-2_i386.deb
  to pool/main/s/samba/smbfs_3.0.23c-2_i386.deb
swat_3.0.23c-2_i386.deb
  to pool/main/s/samba/swat_3.0.23c-2_i386.deb
winbind_3.0.23c-2_i386.deb
  to pool/main/s/samba/winbind_3.0.23c-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Oct 2006 18:31:46 +0200
Source: samba
Binary: python-samba samba-doc-pdf samba-doc libsmbclient libpam-smbpass swat winbind smbclient samba libsmbclient-dev samba-common samba-dbg smbfs
Architecture: source i386 all
Version: 3.0.23c-2
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for SMB/CIFS password database
 libsmbclient - shared library that allows applications to talk to SMB/CIFS serve
 libsmbclient-dev - libsmbclient static libraries and headers
 python-samba - Python bindings that allow access to various aspects of Samba
 samba      - a LanManager-like file and printer server for Unix
 samba-common - Samba common files used by both the server and the client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation (PDF format)
 smbclient  - a LanManager-like simple client for Unix
 smbfs      - mount and umount commands for the smbfs (for kernels >= than 2.2.
 swat       - Samba Web Administration Tool
 winbind    - service to resolve user and group information from Windows NT ser
Closes: 370718 386499 386510 386534 386691 386847 388254 388606 389072 389097 389722 390150 390813 390878 390887 390959 391102 391487 391692 391735 391746 391916 392082
Changes: 
 samba (3.0.23c-2) unstable; urgency=low
 .
   [ Debconf translations ]
   * Updated Swedish. Closes: #386510.
   * Updated Japanese. Closes: #386534.
   * Updated Italian. Closes: #386691.
   * Updated Romanian. Closes: #388254.
   * Updated German. Closes: #389072.
   * Updated Brazilian Portuguese. Closes: #389097.
   * Updated Basque. Closes: #389722.
   * Updated Turkish. Closes: #390887
   * Updated Danish. Closes: #390878
   * Updated German. Closes: #390813
   * Updated Simplified Chinese. Closes: #390959
   * Updated Arabic.
   * Updated Spanish. Closes: #391735
   * Updated Dutch. Closes: #392082
   * Added Slovak. Closes: #386847.
   * Added Finnish. Closes: #390150.
   * Added Estonian. Closes: #391102.
   * Added Norwegian Bokmål. Closes: #391692
   * Added Hungarian. Closes: #391746
 .
   [ Steve Langasek ]
   * Change the Maintainer field at last to the mailing list... gives
     our spam rules some testing, in response to popular demand :)
   * Check for update-inetd on purge before trying to invoke it;
     closes: #388606.
 .
   [ Peter Eisentraut ]
   * Make swat binNMU-safe by using ${source:Version} for dependency on
     samba-doc
   * Make samba-common owner of /var/{cache,log,run}/samba, let samba and
     winbind only delete files they know they're exclusive owners of.
     Closes: #370718.
   * Use python-central to manage installation of python-samba.
     Closes: #386499.  (patch by Patrick Winnertz)
   * Use upstream makefile to install Python module.
   * Build-Depend on python-dev instead of python-all-dev.
   * Removed old upgrade support.
   * Remove possibly leftover comma from "passdb backend" setting in
     smb.conf on upgrade. Closes: ##383307.
   * Added libpam-smbpass logcheck file by martin f krafft.
     Closes: #391487, #391916.
 .
   [ Christian Perrier ]
   * Add LSB info to the init script
Files: 
 4f0b7d085e1e1b8e0a96a07502832758 1390 net optional samba_3.0.23c-2.dsc
 4cc10e5e53808bee14bc2c53efcda61c 302378 net optional samba_3.0.23c-2.diff.gz
 09f727d26350407d7ca4065901448704 6906964 doc optional samba-doc_3.0.23c-2_all.deb
 0cdafe055712ac1e08d48192bdac5166 6592476 doc optional samba-doc-pdf_3.0.23c-2_all.deb
 5d55af9d6e955c176a83c23d844a51a2 3235354 net optional samba_3.0.23c-2_i386.deb
 73e9e77e9e3a8d41bd8f1c8ec4be48ed 2349322 net optional samba-common_3.0.23c-2_i386.deb
 f2571635d8b77a0b7df9b08070b6ca62 3865782 net optional smbclient_3.0.23c-2_i386.deb
 a6dd6ae6f9846dd7f2b6a853db782054 789716 net optional swat_3.0.23c-2_i386.deb
 d464179e80f9233e088c76186d3e3cb3 409316 otherosfs optional smbfs_3.0.23c-2_i386.deb
 566dfb33069c1542313cf2d317351526 415258 admin extra libpam-smbpass_3.0.23c-2_i386.deb
 1ba1db97ce48a0f4a8d189d4f432a479 754070 libs optional libsmbclient_3.0.23c-2_i386.deb
 a4c674ab999937d553b9f3bbde7c8e46 109708 libdevel extra libsmbclient-dev_3.0.23c-2_i386.deb
 ce20a134819f3f0e10cc51ed2c921f1a 1856090 net optional winbind_3.0.23c-2_i386.deb
 0e5d75ad9fd7319cc23403b860e303aa 5647352 python optional python-samba_3.0.23c-2_i386.deb
 af07fd24b595849533ce10c496b3b01b 11857282 devel extra samba-dbg_3.0.23c-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFLp8T1OXtrMAUPS0RAnomAJ9sx87yvZqQALsobN3cHKTUqavbYQCgj58I
DWEORhIdCUvvmrMRZ505g2I=
=zgTU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:43:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:55:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.